> ## Documentation Index
> Fetch the complete documentation index at: https://developers.unize.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Answer



## OpenAPI

````yaml get /v1/storage/{graph_id}/retrieval/{retrieval_id}/
openapi: 3.0.3
info:
  title: Unize API
  version: 1.0.0
  description: Unize API
servers: []
security: []
paths:
  /v1/storage/{graph_id}/retrieval/{retrieval_id}/:
    get:
      tags:
        - Retrieval (API & Playground)
      operationId: Get Graph Retrieval
      parameters:
        - in: path
          name: graph_id
          schema:
            type: string
          required: true
          description: >-
            The `graph_id` of the knowledge graph from which to retrieve the
            answer. A `graph_id` is an alphanumeric string that uniquely
            identifies a knowledge graph.
        - in: path
          name: retrieval_id
          schema:
            type: string
          required: true
          description: >-
            The `retrieval_id` of the specific retrieval request. A
            `retrieval_id` is an alphanumeric string that uniquely identifies a
            retrieval request.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GraphRetrievalModel'
          description: ''
      security:
        - Authentication: []
components:
  schemas:
    GraphRetrievalModel:
      type: object
      properties:
        retrieval_id:
          type: string
          format: uuid
          description: >-
            The alphanumeric string that uniquely identifies the retrieval
            request.
        question:
          type: string
          description: The natural language question that was asked.
        answer:
          type: string
          nullable: true
          description: The answer generated by the system based on the knowledge graph.
        status:
          enum:
            - queued
            - in_progress
            - success
            - failed
          type: string
          description: The status of the retrieval request.
          x-spec-enum-id: f8dcc6f49c24af83
        timestamp:
          type: string
          format: date-time
          readOnly: true
          description: The date and time when the retrieval request was created.
        completed_at:
          type: string
          format: date-time
          nullable: true
          description: The date and time when the retrieval request was completed.
        system:
          enum:
            - rt-0.5
          type: string
          description: '* `rt-0.5` (default) - first retrieval system'
          x-spec-enum-id: 68bc5efb667287b3
      required:
        - question
        - timestamp
  securitySchemes:
    Authentication:
      type: apiKey
      in: header
      name: Authorization
      description: |-
        Send the API generated from the Playground:
        - `Authorization: <api_key>`

````